Chinaunix首页 | 论坛 | 博客
  • 博客访问: 184053
  • 博文数量: 63
  • 博客积分: 725
  • 博客等级: 军士长
  • 技术积分: 375
  • 用 户 组: 普通用户
  • 注册时间: 2010-10-12 19:55
文章分类

全部博文(63)

文章存档

2012年(35)

2011年(28)

分类: LINUX

2011-06-08 13:19:41

1.  下载arm-linux-gcc-3.4.1.tar.bz2到系统的顶层目录下
2. 解压 arm-linux-gcc-3.4.1.tar.bz2
  #tar -jxvf arm-linux-gcc-3.4.1.tar.bz2
  解压过程需要一段时间,解压后的文件形成了 usr/local/ 文件夹,进入该文件夹,将   arm文件夹拷贝到/usr/local/下
  # cd usr/local/
  #cp -rv arm /usr/local/
  现在交叉编译程序集都在/usr/local/arm/3.4.1/bin下面了
3.  修改环境变量,把交叉编译器的路径加入到PATH。(有三种方法,强烈推荐使用方法一)
  方法一:修改/etc/bash.bashrc文件
#vim /etc/bash.bashrc
在最后加上:
export PATH=$PATH:/usr/local/arm/3.4.1/bin
export PATH
   方法二:修改/etc/profile文件:
# vim /etc/profile
增加路径设置,在末尾添加如下,保存/etc/profile文件:
export PATH=$PATH:/usr/local/arm/3.4.1/bin
  方法三:#export PATH=$PATH:/usr/local/arm/3.4.1/bin
  注:(这只能在当前的终端下才是有效的!)
4. 立即使新的环境变量生效,不用重启电脑:
 对应方法一:#source /root/.bashrc
 对应方法二:# source /etc/profile
5. 检查是否将路径加入到PATH:
   # echo $PATH
  显示的内容中有/usr/local/arm/bin,说明已经将交叉编译器的路径加入PATH。至此,交叉编译环境安装完成。
  (本文地址:http://blog.sina.com.cn/s/blog_5a155e330100bqjc.html)
6. 测试是否安装成功
# arm-linux-gcc -v
上面的命令会显示arm-linux-gcc信息和版本,这是我显示的信息:
 Reading specs from /usr/local/arm/3.4.1/lib/gcc/arm-linux/3.4.1/specs
 Configured with: /work/crosstool-0.27/build/arm-linux/gcc-3.4.1-glibc-2.3.2/gcc- 3.4.1/configure --target=arm-linux --host=i686-host_pc-linux-gnu

 --prefix=/usr/local/arm/3.4.1 --with-headers=/usr/local/arm/3.4.1/arm

 -linux/include --with-local-prefix=/usr/local/arm/3.4.1/arm-linux --disable

 -nls --enable-threads=posix --enable-symvers=gnu --enable-__cxa_atexit --enable- languages=c,c++ --enable-shared --enable-c99 --enable-long-long
 Thread model: posix
 gcc version 3.4.1



注: 同时要将 bashrc 中的 PATH 改成
PATH=$PATH:/usr/local/arm/3.4.1/bin
PATH=$PATH:/usr/local/arm/3.3.2/bin
PATH=$PATH:/usr/local/arm/2.95.3/bin
要注意的是交叉编译器不能同时使用,当使用其中一个时,要将另外的 PATH 删除
在 utu Linux 的开发中,编译内核和应用程序请使用 4.0.0 或者 3.4.1 版本编译器;编译 qtopia 请使用

3.3.2 版本;如果要使用 vivi,编译 vivi 请使用 2.95.3 版本。

编译版本的选择:最常用的编译版本是arm-linux-gcc-3.4.1 和 arm-linux-3.3.2 的,现在的嵌入式开发基本上用的是这些,3.4.1的用于编译2.6的内核,而3.3.2的常用于编译busybox,和bootloader(u- boot),编译的版本配合不好的话就会出错,所以要选择好编译版本。

阅读(2973) | 评论(0) | 转发(1) |
给主人留下些什么吧!~~